STRIP(1)

NAME
strip - remove symbols and relocation bits from an object file

SYNOPSIS
strip filename...

DESCRIPTION

strip removes the symbol table and relocation bits ordinarily attached to the output of the assembler and linker. This is useful to save space after a program has been debugged.

The effect of strip is the same as use of the -s option of ld(1).

SEE ALSO
ld(1), a.out(5)

BUGS

Unstripped 2.0 binary files will not run if stripped by the 3.0 version. A message of the form:

    pid xxx: killed due to swap problems in getxfile: I/O error mapping page.

when attempting to run a program indicates that this is the problem.